com.aliyun.svideosdk.common.struct.effect

## Class EffectImage

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.EffectBase
  - - com.aliyun.svideosdk.common.struct.effect.EffectImage

-     public class EffectImage
      extends EffectBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `height` The height of this image relative to the screen resolution.
    `float` | `width` The width of this image relative to the screen resolution.
    `float` | `x` The x coordinate of the centroid of this image relative to the screen resolution.
    `float` | `y` The y coordinate of the centroid of this image relative to the screen resolution.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EffectImage(Bitmap bitmap)` Creates an EffectImage object with a bitmap image.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Bitmap` | `getBitmap()` Gets the bitmap object of this image.

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.effect.EffectBase

      `copy, getAnimationType, getPath, getResId, getSource, getViewId, readString, setAnimationType, setPath, setResId, setSource, setViewId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### x

          public float x

      The x coordinate of the centroid of this image relative to the screen resolution. Valid values: [0, 1]

    - #### y

          public float y

      The y coordinate of the centroid of this image relative to the screen resolution. Valid values: [0, 1]

    - #### width

          public float width

      The width of this image relative to the screen resolution. Valid values: [0, 1]

    - #### height

          public float height

      The height of this image relative to the screen resolution. Valid values: [0, 1]

  - ### Constructor Detail

    - #### EffectImage

          public EffectImage(Bitmap bitmap)

      Creates an EffectImage object with a bitmap image.
      Parameters:
        `bitmap` - The bitmap image.

  - ### Method Detail

    - #### getBitmap

          public Bitmap getBitmap()

      Gets the bitmap object of this image.
      Returns:
        A bitmap object.